import { Logger } from '@segment/actions-core';
import Client from 'ssh2-sftp-client';
import ssh2 from 'ssh2';
interface FastPutFromBufferOptions {
    concurrency?: number;
    chunkSize?: number;
}
export declare class SFTPWrapper {
    private readonly sftp;
    private client?;
    private readonly logger?;
    constructor(name?: string, logger?: Logger);
    connect(options: Client.ConnectOptions): Promise<ssh2.SFTPWrapper>;
    put(buffer: Buffer, remoteFilePath: string, options?: Client.TransferOptions): Promise<string>;
    fastPutFromBuffer(input: Buffer, remoteFilePath: string, options?: FastPutFromBufferOptions): Promise<void>;
    private _fastXferFromBuffer;
    end(): Promise<boolean>;
}
export {};
